SystemOrganization addCategory: #ConfigurationOfSpellingServices!

Object subclass: #ConfigurationOfSpellingServices
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSpellingServices'!

!ConfigurationOfSpellingServices class methodsFor: 'development support' stamp: 'tfel 2/14/2012 15:53:41.222'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfSpellingServices class methodsFor: 'private' stamp: 'tfel 2/14/2012 15:53:41.23'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSpellingServices class methodsFor: 'private' stamp: 'tfel 2/14/2012 15:53:41.234'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSpellingServices class methodsFor: 'private' stamp: 'tfel 2/14/2012 15:53:41.237'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSpellingServices class methodsFor: 'metacello tool support' stamp: 'tfel 2/14/2012 15:53:41.242'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSpellingServices class methodsFor: 'loading' stamp: 'tfel 2/14/2012 15:53:41.246'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSpellingServices class methodsFor: 'loading' stamp: 'tfel 2/14/2012 15:53:41.25'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSpellingServices class methodsFor: 'loading' stamp: 'tfel 2/14/2012 15:53:41.253'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSpellingServices class methodsFor: 'accessing' stamp: 'tfel 2/14/2012 15:53:41.257'!
project

	^self new project! !

!ConfigurationOfSpellingServices class methodsFor: 'development support' stamp: 'tfel 2/14/2012 15:53:41.226'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSpellingServices methodsFor: 'baselines' stamp: 'tfel 3/6/2012 17:36:44.602'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec project: 'FFI' with: [
				spec
					className: 'ConfigurationOfFFI';
					file: 'ConfigurationOfFFI';
					repository: 'http://www.squeaksource.com/MetacelloRepository';
					versionString: '1.5' ].
		spec repository: 'http://www.hpi.uni-potsdam.de/hirschfeld/squeaksource/SpellingServices'.
		spec package: 'SpellingServices' with: [spec requires: #('FFI')].
		spec group: 'default' with: #('SpellingServices') ].
! !

!ConfigurationOfSpellingServices methodsFor: 'symbolic versions' stamp: 'ag 2/22/2012 14:53:12.844'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.0.1'.
! !

!ConfigurationOfSpellingServices methodsFor: 'accessing' stamp: 'tfel 2/14/2012 15:53:41.198'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSpellingServices methodsFor: 'symbolic versions' stamp: 'ag 2/22/2012 13:13:36.716'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '1.0'.
! !

!ConfigurationOfSpellingServices methodsFor: 'versions' stamp: 'tfel 3/8/2012 09:03:05.492'!
version101: spec
	<version: '1.0.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0.1 (): make it work on windows'.
		spec author: 'ag'.
		spec timestamp: '2/22/2012 14:57'.
		spec project: 'FFI' with: '1.5'.
		spec package: 'SpellingServices' with: 'SpellingServices-tfel.4'. ].
! !

!ConfigurationOfSpellingServices methodsFor: 'versions' stamp: 'ag 2/22/2012 13:13:36.697'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Spelling services'.
		spec author: 'tfel'.
		spec timestamp: '2/14/2012 15:24'.
		spec project: 'FFI' with: '1.5'.
		spec package: 'SpellingServices' with: 'SpellingServices-tfel.2'. ].
! !
